Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class Func

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Func

    public final class Func

extends ExprInfo

User defined function.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`Var[]` | `args` Arguments.
`boolean` | `decl` Declaration flag.
`Expr` | `expr` Function expression.
`Var` | `var` Function name, including return type.

Constructor Summary
`Func(Var v, Var[] a, boolean d)` Function constructor.

Method Summary
`void` | `comp(XQContext ctx)` Compiles the function.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### var

    public Var var

  Function name, including return type.

### args

    public Var[] args

  Arguments.

### expr

    public Expr expr

  Function expression.

### decl

    public boolean decl

  Declaration flag.

Constructor Detail

### Func

    public Func(Var v,
                Var[] a,
                boolean d)

  Function constructor.

  Parameters:
    `v` - function name
    `a` - arguments
    `d` - declaration flag

Method Detail

### comp

    public void comp(XQContext ctx)
              throws XQException

  Compiles the function.

  Parameters:
    `ctx` - xquery context
  Throws:
    `XQException` - xquery exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD